Subject: [Ace] CBOR Web Token (CWT) draft addressing shepherd review comments

From: Mike Jones <[email-masked]>
Date: Sat, 3 Feb 2018 05:22:28 +0000

The CBOR Web Token (CWT) specification has been updated to address the shepherd comments by Benjamin Kaduk.  Changes were:

  *   Updated the RFC 5226 reference to RFC 8126.
  *   Made the IANA registration criteria consistent across sections.
  *   Stated that registrations for the limited set of values between -256 and 255 and strings of length 1 are to be restricted to claims with general applicability.
  *   Changed the "Reference" field name to "Description of Semantics" in the CBOR Tag registration request.
  *   Asked the RFC Editor whether it is possible to preserve the non-ASCII spellings of the names Erik Wahlström and Göran Selander in the final specification.

Thanks to Ben for his careful review of the specification!

The specification is available at:

  *   https://tools.ietf.org/html/draft-ietf-ace-cbor-web-token-12

An HTML-formatted version is also available at:

  *   http://self-issued.info/docs/draft-ietf-ace-cbor-web-token-12.html

                                                       -- Mike

P.S.  This notice was also posted at http://self-issued.info/?p=1776 and as @selfissued<https://twitter.com/selfissued>.

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 3 Feb 2018 06:27:56 +0100

»
Depending upon the values being requested, registration requests are	
evaluated on a Standards Track Required, Specification Required,	
Expert Review, or Private Use basis [RFC8126]
«

This might give the impression that IANA registrations can be made on a “Private Use” basis.
RFC 8126 Section 4.1 says about Private Use:

   […] IANA does not record assignments from registries
   or ranges with this policy (and therefore there is no need for IANA
   to review them) and assignments are not generally useful for broad
   interoperability.  It is the responsibility of the sites making use
   of the Private Use range to ensure that no conflicts occur (within
   the intended scope of use).

Maybe it is better to just point at the section giving the actual policies?

Grüße, Carsten

---

From: Mike Jones <[email-masked]>
Date: Sat, 3 Feb 2018 05:48:56 +0000

Good point.  I'll make a note to update the description the next time we publish a draft to not imply that values in the Private Use range are registered.  I don't think it's worth publishing another draft for just this until we receive Kathleen's AD review, at which point I'll address it.

				Grüße,
				-- Mike			

-----Original Message-----
From: Carsten Bormann <[email-masked]> 
Sent: Friday, February 2, 2018 9:28 PM
To: Mike Jones <[email-masked]>
Cc: [email-masked]
Subject: Re: [Ace] CBOR Web Token (CWT) draft addressing shepherd review comments

»
Depending upon the values being requested, registration requests are	
evaluated on a Standards Track Required, Specification Required,	
Expert Review, or Private Use basis [RFC8126] «

Grüße, Carsten